Skip to main content
PUT
Explicitly create or link a canonical account lineage

Authorizations

X-Api-Key
string
header
required

API key for authentication. Generate one from your account settings.

Path Parameters

connection_id
string<uuid>
required
source_id
string<uuid>
required

Body

application/json

create requires booked_balance and observed_at; link requires a writable same-family account_id and may carry a prior lineage_id

expected_version
integer
required
Required range: x >= 0
action
enum<string>
required
Available options:
create,
link
name
string
required
Maximum string length: 255
institution_name
string
required
Maximum string length: 255
currency
string
required
accountable_type
enum<string>
required
Available options:
Depository,
CreditCard
subtype
string
required
ledger_timezone
string
required
account_id
string<uuid>
Pattern: ^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$
lineage_id
string<uuid>
Pattern: ^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$
booked_balance
object
observed_at
string<date-time>

Response

Stable account lineage binding

source_id
string<uuid>
required
Pattern: ^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$
lineage_id
string<uuid>
required
Pattern: ^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$
mapping_version
integer
required
Required range: x >= 1
name
string
required
institution_name
string | null
required
currency
string
required
accountable_type
string
required
subtype
string
required
ledger_timezone
string
required
account_id
string<uuid> | null
required
Pattern: ^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$